OTBGUI_COMPUTECONFUSIONMATRIX(1)

NAME
otbgui_ComputeConfusionMatrix - OTB ComputeConfusionMatrix application

DESCRIPTION
This is the ComputeConfusionMatrix application, version 5.2.0 Computes the confusion matrix of a classification

Complete documentation: http://www.orfeo-toolbox.org/Applications/ComputeConfusionMatrix.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -out <string> Matrix output (mandatory)

-ref
    <string> Ground truth [raster/vector] (mandatory, default value is raster)

 -ref.raster.in <string> Input reference image (mandatory)

-ref.vector.in
    <string> Input reference vector data (mandatory)

-ref.vector.field <string>
    Field name (optional, off by default, default value is Class)

-nodatalabel
    <int32> Value for nodata pixels (optional, off by default, default value is 0)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_ComputeConfusionMatrix -in clLabeledImageQB1.tif -out ConfusionMatrix.csv -ref vector -ref.vector.in VectorData_QB1_bis.shp -ref.vector.field Class -nodatalabel 255

SEE ALSO
The full documentation for otbgui_ComputeConfusionMatrix is maintained as a Texinfo manual. If the info and otbgui_ComputeConfusionMatrix programs are properly installed at your site, the command

    info otbgui_ComputeConfusionMatrix

should give you access to the complete manual.